<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Automate cellulaire: Référence de la structure configuration</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Automate cellulaire
   &#160;<span id="projectnumber">1.0</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Généré par Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Recherche');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Recherche');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Champs de données</a>  </div>
  <div class="headertitle">
<div class="title">Référence de la structure configuration</div>  </div>
</div><!--header-->
<div class="contents">

<p>Une configuration.  
 <a href="structconfiguration.html#details">Plus de détails...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Champs de données</h2></td></tr>
<tr class="memitem:a4c2a28574421b356a94b2986af8cbd1f"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structconfiguration.html#a4c2a28574421b356a94b2986af8cbd1f">etat_gauche</a></td></tr>
<tr class="separator:a4c2a28574421b356a94b2986af8cbd1f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab87fd09c380492db266c031c063e903e"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structconfiguration.html#ab87fd09c380492db266c031c063e903e">etat_centre</a></td></tr>
<tr class="separator:ab87fd09c380492db266c031c063e903e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af4a4f6949170c15a38caed135c60f02a"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structconfiguration.html#af4a4f6949170c15a38caed135c60f02a">etat_droite</a></td></tr>
<tr class="separator:af4a4f6949170c15a38caed135c60f02a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abf5d66a5150f63e202481a01797671f1"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structconfiguration.html#abf5d66a5150f63e202481a01797671f1">etat_sortie</a></td></tr>
<tr class="separator:abf5d66a5150f63e202481a01797671f1"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Description détaillée</h2>
<div class="textblock"><p>Une configuration. </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">etat_gauche</td><td>L'état de la céllule voisine (celle de gauche) </td></tr>
    <tr><td class="paramname">etat_centre</td><td>L'état de la céllule actuelle (celle au centre) </td></tr>
    <tr><td class="paramname">etat_droite</td><td>L'état de la céllule voisine (celle de droite) </td></tr>
    <tr><td class="paramname">etat_sortie</td><td>L'état de la prochaine cellule</td></tr>
  </table>
  </dd>
</dl>
<p>Une configuration est donc en ensemble d'état contenant celui de la cellule suivante (celui à déterminer), la cellule actuelle ainsi que ses deux voisons de gauche et droite. </p>

<p class="definition">Définition à la ligne <a class="el" href="configuration_8c_source.html#l00032">32</a> du fichier <a class="el" href="configuration_8c_source.html">configuration.c</a>.</p>
</div><h2 class="groupheader">Documentation des champs</h2>
<a id="ab87fd09c380492db266c031c063e903e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab87fd09c380492db266c031c063e903e">&#9670;&nbsp;</a></span>etat_centre</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int etat_centre</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="configuration_8c_source.html#l00034">34</a> du fichier <a class="el" href="configuration_8c_source.html">configuration.c</a>.</p>

</div>
</div>
<a id="af4a4f6949170c15a38caed135c60f02a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af4a4f6949170c15a38caed135c60f02a">&#9670;&nbsp;</a></span>etat_droite</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int etat_droite</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="configuration_8c_source.html#l00035">35</a> du fichier <a class="el" href="configuration_8c_source.html">configuration.c</a>.</p>

</div>
</div>
<a id="a4c2a28574421b356a94b2986af8cbd1f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4c2a28574421b356a94b2986af8cbd1f">&#9670;&nbsp;</a></span>etat_gauche</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int etat_gauche</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="configuration_8c_source.html#l00033">33</a> du fichier <a class="el" href="configuration_8c_source.html">configuration.c</a>.</p>

</div>
</div>
<a id="abf5d66a5150f63e202481a01797671f1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abf5d66a5150f63e202481a01797671f1">&#9670;&nbsp;</a></span>etat_sortie</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int etat_sortie</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="configuration_8c_source.html#l00036">36</a> du fichier <a class="el" href="configuration_8c_source.html">configuration.c</a>.</p>

</div>
</div>
<hr/>La documentation de cette structure a été générée à partir du fichier suivant :<ul>
<li>src/<a class="el" href="configuration_8c_source.html">configuration.c</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Généré par &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
